import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:holla_mate/holla_mate.dart';

void main() {
  const MethodChannel channel = MethodChannel('holla_mate');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await HollaMate.platformVersion, '42');
  });
}
